Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Videos

Create a video
Deprecated
videos.create(**kwargs) -> Video { id, completed_at, created_at, 10 more }
POST
/videos
Create a character
Deprecated
videos.create_character(**kwargs) -> VideoCreateCharacterResponse { id, created_at, name }
POST
/videos/characters
Delete a video
Deprecated
videos.delete(video_id) -> VideoDeleteResponse { id, deleted, object }
DELETE
/videos/{video_id}
Download video content
Deprecated
videos.download_content(video_id, **kwargs) -> StringIO
GET
/videos/{video_id}/content
Create a video edit
Deprecated
videos.edit(**kwargs) -> Video { id, completed_at, created_at, 10 more }
POST
/videos/edits
Create a video extension
Deprecated
videos.extend_(**kwargs) -> Video { id, completed_at, created_at, 10 more }
POST
/videos/extensions
Retrieve a character
Deprecated
videos.get_character(character_id) -> VideoGetCharacterResponse { id, created_at, name }
GET
/videos/characters/{character_id}
List videos
Deprecated
videos.list(**kwargs) -> ConversationCursorPage<Video { id, completed_at, created_at, 10 more } >
GET
/videos
Create a video remix
Deprecated
videos.remix(video_id, **kwargs) -> Video { id, completed_at, created_at, 10 more }
POST
/videos/{video_id}/remix
Retrieve a video
Deprecated
videos.retrieve(video_id) -> Video { id, completed_at, created_at, 10 more }
GET
/videos/{video_id}
Models
class ImageInputReferenceParam { file_id, image_url }
class Video { id, completed_at, created_at, 10 more }

Structured information describing a generated video job.

class VideoCreateCharacterResponse { id, created_at, name }
class VideoCreateError { code, message, headers, 3 more }

An error that occurred while generating the response.

class VideoDeleteResponse { id, deleted, object }

Confirmation payload returned after deleting a video.

class VideoGetCharacterResponse { id, created_at, name }
VideoModel = String | :"sora-2" | :"sora-2-pro" | :"sora-2-2025-10-06" | 2 more
VideoSeconds = :"4" | :"8" | :"12"
VideoSize = :"720x1280" | :"1280x720" | :"1024x1792" | :"1792x1024"